Perlanet::Trait::FeedFile(3pm)

NAME
Perlanet::Trait::FeedFile - save the aggregated feed to a file

SYNOPSIS
   my $perlanet = Perlanet->new_with_traits(
     traits => [ 'Perlanet::Trait::FeedFile' ]
   );

   $perlanet->run;

DESCRIPTION
When the aggregation is complete and the feed is being rendered, it will be saved to disk in XML format.

ATTRIBUTES

  feed_file
The path to the file to save the feed to.

  feed_format
The format of the XML to use - may be RSS or Atom

AUTHOR
Oliver Charles, <oliver.g.charles@googlemail.com>

COPYRIGHT AND LICENSE
Copyright (c) 2010 by Magnum Solutions Ltd.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available.